Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/2949/?format=api
{ "ob_id": 2949, "uuid": "6ab5da345fcf021b7c0038aeaa0c0846", "title": "York GCMS measurements, Kuujjuarapik, February 2008 for COBRA Campaign", "abstract": "COBRA (impact of COmbined iodine and Bromine Release on the Arctic atmosphere) is a UK IPY (International Polar Year) consortium that aims to investigate the release mechanisms of iodine in the Arctic and the potential combined effects of iodine and bromine on its atmosphere. The team measured reactive inorganic halogens (BrO, IO, OIO, I2), O3, Hg, HOx, HCHO, NOx, VOCs and reactive halocarbons from temporary laboratories located on the eastern shore of Hudson Bay, north of Kuujjuarapik, during February-March 2008. Met balloons and O3 sondes were launched daily. COBRA set up an ice camp and flux chamber experiments ~500 m into the bay to directly measure halogen emissions and ozone deposition, and measured physical, chemical and biological characteristics of the sea-ice (and potentially of frost flowers) at different depths. The project is linked with OOTI, which carried out a simultaneous field experiment at Kuujjuarapik.", "keywords": "COBRA, York, GCMS, Kuujjuarapik", "publicationState": "published", "dataPublishedTime": "2010-09-30T23:52:34", "doiPublishedTime": null, "updateFrequency": "notPlanned", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2950/?format=api", "dataPath": "/badc/cobra/data/york-gcms", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 25765, "numberOfFiles": 2, "fileFormat": "NASA Ames" }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/788/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/49/?format=api", "nonGeographicFlag": false, "phenomena": [ "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/52524/?format=api" ], "dataLineage": "Data were collected during a 5-week ground-based field campaign at Kuujjuarapik, Hudson Bay (55.30N, 77.73W), during February-March 2008. Data supplied as is by COBRA (impact of COmbined iodine and Bromine Release on the Arctic atmosphere) campaign participants as is in 2009/2010 for archiving at the BADC.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/2041/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/8580/?format=api" ], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/2928/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/2925/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/13330/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/13334/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/13335/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/13328/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/13331/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/13332/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/13333/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/13329/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/54876/?format=api" ], "procedureAcquisition": "https://api.catalogue.ceda.ac.uk/api/v2/acquisitions/2951/?format=api", "procedureCompositeProcess": null, "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2526/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "public", "accessRoles": null, "label": "public: None group", "licenceURL": "http://www.nationalarchives.gov.uk/doc/open-government-licence/version/3/", "licenceClassifications": "any" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }